Bug 834594 - 'sosreport' is using deprecated sysctl (syscall) net.ipv6.neigh.default.retrans_time; Use net.ipv6.neigh.default.retrans_time_ms instead
'sosreport' is using deprecated sysctl (syscall) net.ipv6.neigh.default.retra...
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sos (Show other bugs)
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Bryn M. Reeves
David Kutálek
Depends On:
  Show dependency treegraph
Reported: 2012-06-22 10:16 EDT by Subhendu Ghosh
Modified: 2016-10-04 00:30 EDT (History)
7 users (show)

See Also:
Fixed In Version: sos-2.2-30.el6
Doc Type: Bug Fix
Doc Text:
Cause: The sosreport command's networking module collects various data from the kernel's sysctl configuration found in /proc/sys/net. Certain legacy paths in this directory are deprecated but maintained for compatibility reasons. Accessing these files generates a warning in the kernel logs. Consequence: Running sosreport on systems having deprecated sysctls would generate warnings as sos accessed these paths. Fix: Sos now includes a blacklist for forbidden paths in this directory. No diagnostic information is lost since the content of these files is now provided under different parameter names that are already included in the report. Result: Full diagnostic information is now collected from the /proc/sys/net directory without generating unnecessary warnings in the system logs.
Story Points: ---
Clone Of:
Last Closed: 2013-02-21 05:58:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Subhendu Ghosh 2012-06-22 10:16:04 EDT
Description of problem:
RHEL 6.3 - running sosreport generates a warning about sysctl 

process `sosreport' is using deprecated sysctl (syscall) net.ipv6.neigh.default.retrans_time; Use net.ipv6.neigh.default.retrans_time_ms instead.

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. run sosreport
Actual results:

Expected results:

Additional info:
Comment 1 Bryn M. Reeves 2012-06-22 10:31:08 EDT
Thanks for the report - these two are strict synonyms (if you modify one the change is reflected in the other) so there is no loss of diagnostic data if we switch to retrans_time_ms.

We're working on changing proc and sys collection upstream (should land in F18) to support blacklists which would handle this case.

For now I'll look at adding a forbidden path for this specific sysctl (and also do a grep on RHEL6 kernel git to see if we have any others needing this treatment).
Comment 2 Jan Pokorný 2012-08-17 09:14:13 EDT
(confirming the reproducibility, just hit this exact instance)
Comment 3 Jan Pokorný 2012-08-17 09:16:59 EDT
The warning message can be found in syslog sink (/var/log/messages)
with kernel as its origin.
Comment 12 errata-xmlrpc 2013-02-21 05:58:18 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.